<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.system.config.mapper.BdGradeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.system.config.BdGrade">
        <id column="PK_ID" property="pkId" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="PK_CREATOR" property="pkCreator" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="PK_MODIFIED" property="pkModified" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
        <result column="IMAGE" property="image" />
        <result column="GRADE_NAME" property="gradeName" />
        <result column="PK_TRANSACTION" property="pkTransaction" />
        <result column="GRADE_VALUE" property="gradeValue" />
        <result column="CENSUS_VALUE" property="censusValue" />
        <result column="START_VALUE" property="startValue" />
        <result column="PK_AWARDS" property="pkAwards" />
        <result column="REGISTER_AUTHORITY" property="registerAuthority" />
        <result column="EXPAND_CAPPING" property="expandCapping" />
        <result column="EXPAND_RATIO" property="expandRatio" />
        <result column="REPURCHASE_CAPPING" property="repurchaseCapping" />
        <result column="REPURCHASE_RATIO" property="repurchaseRatio" />
        <result column="COLOR" property="color" />
        <result column="ENABLE_STATE" property="enableState"/>
        <result column="ICON" property="icon"/>
        <result column="FIRST_CALCULATE" property="firstCalculate"/>
        <result column="FIRST_ASSESS" property="firstAssess"/>
        <result column="REPURCHASE_CALCULATE" property="repurchaseCalculate"/>
        <result column="REPURCHASE_ASSESS" property="repurchaseAssess"/>


    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DEL_FLAG,
        PK_COUNTRY,
        PK_CREATOR,
        CREATION_TIME,
        PK_MODIFIED,
        MODIFIED_TIME,
        PK_ID, GRADE_NAME, PK_TRANSACTION, GRADE_VALUE, CENSUS_VALUE, START_VALUE, PK_AWARDS, REGISTER_AUTHORITY, EXPAND_CAPPING, EXPAND_RATIO, REPURCHASE_CAPPING, REPURCHASE_RATIO
    </sql>

</mapper>
